import { OnInit, ElementRef, EventEmitter, ChangeDetectorRef, AfterViewInit } from '@angular/core';
import { DatePipe } from '@angular/common';
import 'jquery-datetimepicker';
export declare class GridDatePickerControlComponent implements OnInit, AfterViewInit {
    private ref;
    private datePipe;
    private isMobile;
    private initialized;
    private pDate;
    type: 'datetime' | 'date' | 'time';
    sdChange: EventEmitter<any>;
    date: string;
    set model(val: any);
    modelChange: EventEmitter<any>;
    control: ElementRef;
    constructor(ref: ChangeDetectorRef, datePipe: DatePipe);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFocus: () => void;
    private onChanges;
    private setOption;
    private parse;
    private equal;
}
